M_GET_MYID(3P)

NAME
m_get_myid - return process identification

SYNOPSIS
C syntax:

#include <parallel/microtask.h>
int m_get_myid();
int i;
i=m_get_myid();

Pascal syntax

function m_get_myid : integer ;
cexternal ;

FORTRAN syntax

integer*4 function m_get_myid

DESCRIPTION
The m_get_myid routine returns the value of the variable m_myid, the process's identification number. For the parent process, this variable has the value zero. Child processes are assigned identification numbers in the order of their creation: the first child process has identification number 1, the second has 2, and so on. The C header file /usr/include/parallel/microtask.h contains an external declaration of the variable.

SEE ALSO
fortran(1), m_fork(3P), Guide to Parallel Programming